CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

%pprog [options]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Amikor olyan argumentumokat ad át calibre-debug-nak, amelyekben szóköz van, tegye idézőjelek közé az argumentumokat. Például: "/some path/with spaces"

[BEÁLLÍTÁSOK]

--add-simple-plugin
    Egyszerű bővítmény (azaz csupán egy .py fájlból álló bővítmény) hozzáadása a bővítménykódot tartalmazó py fájl elérési útjának megadásával.

--command, -c
    Python kód futtatása.

--debug-device-driver, -d
    Eszközfelismerés hibakereső módban

--default-programs
    A Calibre (ki)regisztrálása a Windows alapértelmezett programok listájába/ból. --default-programs = (register|unregister)

--diff
    A Calibre diff eszközének futtatása. Például: calibre-debug --diff fájl1 fájl2

--edit-book
    A Calibre könyvszerkesztő futtatása hibakereső módban.

--exec-file, -e
    Python kód futtatása a fájlon.

--explode-book, -x
    A könyv kicsomagolása a megadott mappába. Használat: -x file.epub output_dir A könyvet HTML-fájlok és metaadatok gyűjteményeként exportálja, amelyet a szokásos HTML-szerkesztőeszközökkel szerkeszthet. Működik EPUB, AZW3, HTMLZ és DOCX fájlokkal.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    Belső használatra

--gui, -g
    GUI futtatása hibakeresési módban. A hibakeresési információk az stdout és stderr-ben jelenítődnek meg.

--gui-debug
    GUI futtatása hibakeresési ablakkal, a megadott elérési útvonalra történő a naplózással. Csak belső használat esetén a -g kapcsolóval futtatható a GUI hibakeresési módban

--help, -h
    súgó megjelenítése és kilépés

--implode-book, -i
    Egy korábban kicsomagolt könyv becsomagolása. Használat: -i output_dir file.epub Importálja a könyvet az output_dir fájlokból, amelyeket a --explode-book korábbi hívásával kell létrehozni. Ügyeljen arra, hogy ugyanazt a fájltípust adja meg, mint amit a felbontáskor használt.

--import-calibre-data
    Előzőleg exportált Calibre adatok importálása

--inspect-mobi, -m
    Az adott útvonalon elérhető MOBI fájl(ok) elemzése.

--paths
    Kiírja a Calibre környezet beállításához szükséges elérési utakat

--run-plugin, -r
    Run a plugin that provides a command line interface. For example: calibre-debug -r "Plugin name" -- file1 --option1 Everything after the -- will be passed to the plugin as arguments.

--run-test, -t
    Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

--run-without-debug
    Don't run with the DEBUG flag set

--shutdown-running-calibre, -s
    Egy futó Calibre példány bezárása. Ha vannak futó műveletek, akkor azok minden figyelmeztetés nélkül meg lesznek szakítva, ezért óvatosan használja.

--subset-font, -f
    A megadott betűtípus részhalmaza. Használja a -- kapcsolót az opció után, hogy átadja az opciót a betűkészlet-kijelölő programnak.

--test-build
    Bináris modulok tesztelése beépítés közben

--version
    program verziójának megjelenítése és kilépés

--viewer, -w
    Az olvasóprogram indítása hibakereső módban

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal